hotkernel(1m)

NAME
hotkernel - sample on-CPU kernel-level functions and modules.

SYNOPSIS
hotkernel [-hm]

DESCRIPTION
This samples the on-CPU function at 1001 Hertz, for a simple yet effective kernel-level profiling tool for sampling exclusive function time. The output will identify which function is on the CPU the most - which is the hottest. See Notes/ALLexclusive_notes.txt for an explanation of exclusive time.

OS
Solaris

STABILITY
stable - Written using Perl and DTrace (Solaris 10 03/05)

EXAMPLES

Sample kernel functions,
    # hotkernel

Sample kernel modules,
    # hotkernel -m

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
hotkernel will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M), hotuser(1M)